diff --git a/doc/bashref.ps b/doc/bashref.ps
index 1d3bb836..7c2123f4 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -15605,235 +15634,240 @@ b(Readline)i(uses)f(a)g(visible)g(b)s(ell)g(if)g(one)g(is)g(a)m(v)-5
 b(ailable.)51 b(If)33 b(set)g(to)1110 2271 y(`)p Ft(audible)p
 Fu(')j(\(the)i(default\),)i(Readline)e(attempts)g(to)h(ring)e(the)g
 (terminal's)1110 2381 y(b)s(ell.)630 2545 y Ft(bind-tty-special-chars)
-1110 2655 y Fu(If)45 b(set)h(to)f(`)p Ft(on)p Fu(',)50
-b(Readline)45 b(attempts)i(to)f(bind)d(the)j(con)m(trol)g(c)m
-(haracters)1110 2765 y(treated)36 b(sp)s(ecially)h(b)m(y)e(the)h(k)m
-(ernel's)g(terminal)g(driv)m(er)f(to)h(their)f(Readline)1110
-2874 y(equiv)-5 b(alen)m(ts.)630 3039 y Ft(colored-stats)1110
-3148 y Fu(If)26 b(set)h(to)g(`)p Ft(on)p Fu(',)h(Readline)f(displa)m
-(ys)g(p)s(ossible)f(completions)h(using)f(di\013eren)m(t)1110
-3258 y(colors)40 b(to)g(indicate)g(their)f(\014le)h(t)m(yp)s(e.)67
+1110 2655 y Fu(If)e(set)g(to)h(`)p Ft(on)p Fu(')f(\(the)g(default\),)i
+(Readline)f(attempts)g(to)g(bind)d(the)i(con)m(trol)1110
+2765 y(c)m(haracters)30 b(treated)g(sp)s(ecially)g(b)m(y)f(the)g(k)m
+(ernel's)h(terminal)f(driv)m(er)g(to)h(their)1110 2874
+y(Readline)h(equiv)-5 b(alen)m(ts.)630 3039 y Ft(blink-matching-paren)
+1110 3148 y Fu(If)36 b(set)g(to)h(`)p Ft(on)p Fu(',)h(Readline)f
+(attempts)g(to)g(brie\015y)e(mo)m(v)m(e)j(the)f(cursor)e(to)i(an)1110
+3258 y(op)s(ening)30 b(paren)m(thesis)h(when)e(a)i(closing)h(paren)m
+(thsis)e(is)h(inserted.)41 b(The)30 b(de-)1110 3367 y(fault)h(is)f(`)p
+Ft(off)p Fu('.)630 3532 y Ft(colored-stats)1110 3641
+y Fu(If)c(set)h(to)g(`)p Ft(on)p Fu(',)h(Readline)f(displa)m(ys)g(p)s
+(ossible)f(completions)h(using)f(di\013eren)m(t)1110
+3751 y(colors)40 b(to)g(indicate)g(their)f(\014le)h(t)m(yp)s(e.)67
 b(The)38 b(color)j(de\014nitions)d(are)i(tak)m(en)1110
-3367 y(from)24 b(the)h(v)-5 b(alue)25 b(of)g(the)g Ft(LS_COLORS)d
+3861 y(from)24 b(the)h(v)-5 b(alue)25 b(of)g(the)g Ft(LS_COLORS)d
 Fu(en)m(vironmen)m(t)j(v)-5 b(ariable.)40 b(The)24 b(default)1110
-3477 y(is)30 b(`)p Ft(off)p Fu('.)630 3641 y Ft(comment-begin)1110
-3751 y Fu(The)62 b(string)g(to)h(insert)f(at)h(the)g(b)s(eginning)e(of)
-h(the)h(line)f(when)g(the)1110 3861 y Ft(insert-comment)26
+3970 y(is)30 b(`)p Ft(off)p Fu('.)630 4134 y Ft(comment-begin)1110
+4244 y Fu(The)62 b(string)g(to)h(insert)f(at)h(the)g(b)s(eginning)e(of)
+h(the)h(line)f(when)g(the)1110 4354 y Ft(insert-comment)26
 b Fu(command)31 b(is)f(executed.)42 b(The)30 b(default)g(v)-5
-b(alue)31 b(is)f Ft("#")p Fu(.)630 4025 y Ft(completion-display-width)
-1110 4134 y Fu(The)41 b(n)m(um)m(b)s(er)f(of)i(screen)g(columns)f(used)
-g(to)h(displa)m(y)g(p)s(ossible)f(matc)m(hes)1110 4244
+b(alue)31 b(is)f Ft("#")p Fu(.)630 4518 y Ft(completion-display-width)
+1110 4628 y Fu(The)41 b(n)m(um)m(b)s(er)f(of)i(screen)g(columns)f(used)
+g(to)h(displa)m(y)g(p)s(ossible)f(matc)m(hes)1110 4737
 y(when)28 b(p)s(erforming)g(completion.)41 b(The)29 b(v)-5
 b(alue)29 b(is)g(ignored)g(if)g(it)h(is)f(less)g(than)1110
-4354 y(0)e(or)f(greater)h(than)f(the)g(terminal)h(screen)f(width.)39
+4847 y(0)e(or)f(greater)h(than)f(the)g(terminal)h(screen)f(width.)39
 b(A)26 b(v)-5 b(alue)27 b(of)f(0)h(will)f(cause)1110
-4463 y(matc)m(hes)32 b(to)f(b)s(e)e(displa)m(y)m(ed)i(one)g(p)s(er)e
+4956 y(matc)m(hes)32 b(to)f(b)s(e)e(displa)m(y)m(ed)i(one)g(p)s(er)e
 (line.)41 b(The)30 b(default)h(v)-5 b(alue)31 b(is)f(-1.)630
-4628 y Ft(completion-ignore-case)1110 4737 y Fu(If)d(set)h(to)g(`)p
+5121 y Ft(completion-ignore-case)1110 5230 y Fu(If)d(set)h(to)g(`)p
 Ft(on)p Fu(',)g(Readline)g(p)s(erforms)e(\014lename)h(matc)m(hing)i
-(and)e(completion)1110 4847 y(in)j(a)h(case-insensitiv)m(e)i(fashion.)
+(and)e(completion)1110 5340 y(in)j(a)h(case-insensitiv)m(e)i(fashion.)
 40 b(The)30 b(default)h(v)-5 b(alue)30 b(is)h(`)p Ft(off)p
-Fu('.)630 5011 y Ft(completion-map-case)1110 5121 y Fu(If)22
-b(set)g(to)h(`)p Ft(on)p Fu(',)h(and)e Fr(completion-ignore-case)31
-b Fu(is)22 b(enabled,)i(Readline)f(treats)1110 5230 y(h)m(yphens)29
-b(\(`)p Ft(-)p Fu('\))j(and)e(underscores)g(\(`)p Ft(_)p
-Fu('\))i(as)f(equiv)-5 b(alen)m(t)32 b(when)e(p)s(erforming)1110
-5340 y(case-insensitiv)m(e)j(\014lename)d(matc)m(hing)i(and)e
-(completion.)p eop end
+Fu('.)p eop end
 %%Page: 106 112
 TeXDict begin 106 111 bop 150 -116 a Fu(Chapter)30 b(8:)41
 b(Command)29 b(Line)i(Editing)2062 b(106)630 299 y Ft
-(completion-prefix-displa)o(y-le)o(ngth)1110 408 y Fu(The)31
-b(length)g(in)g(c)m(haracters)i(of)f(the)f(common)h(pre\014x)e(of)h(a)h
-(list)g(of)f(p)s(ossible)1110 518 y(completions)g(that)f(is)g(displa)m
-(y)m(ed)g(without)g(mo)s(di\014cation.)41 b(When)29 b(set)h(to)h(a)1110
-628 y(v)-5 b(alue)26 b(greater)h(than)e(zero,)j(common)e(pre\014xes)e
-(longer)j(than)e(this)g(v)-5 b(alue)27 b(are)1110 737
+(completion-map-case)1110 408 y Fu(If)22 b(set)g(to)h(`)p
+Ft(on)p Fu(',)h(and)e Fr(completion-ignore-case)31 b
+Fu(is)22 b(enabled,)i(Readline)f(treats)1110 518 y(h)m(yphens)29
+b(\(`)p Ft(-)p Fu('\))j(and)e(underscores)g(\(`)p Ft(_)p
+Fu('\))i(as)f(equiv)-5 b(alen)m(t)32 b(when)e(p)s(erforming)1110
+628 y(case-insensitiv)m(e)j(\014lename)d(matc)m(hing)i(and)e
+(completion.)630 778 y Ft(completion-prefix-displa)o(y-le)o(ngth)1110
+888 y Fu(The)h(length)g(in)g(c)m(haracters)i(of)f(the)f(common)h
+(pre\014x)e(of)h(a)h(list)g(of)f(p)s(ossible)1110 998
+y(completions)g(that)f(is)g(displa)m(y)m(ed)g(without)g(mo)s
+(di\014cation.)41 b(When)29 b(set)h(to)h(a)1110 1107
+y(v)-5 b(alue)26 b(greater)h(than)e(zero,)j(common)e(pre\014xes)e
+(longer)j(than)e(this)g(v)-5 b(alue)27 b(are)1110 1217
 y(replaced)k(with)f(an)g(ellipsis)h(when)e(displa)m(ying)i(p)s(ossible)
-f(completions.)630 902 y Ft(completion-query-items)1110
-1011 y Fu(The)c(n)m(um)m(b)s(er)f(of)h(p)s(ossible)g(completions)h
-(that)g(determines)f(when)f(the)i(user)1110 1121 y(is)i(ask)m(ed)h
+f(completions.)630 1367 y Ft(completion-query-items)1110
+1477 y Fu(The)c(n)m(um)m(b)s(er)f(of)h(p)s(ossible)g(completions)h
+(that)g(determines)f(when)f(the)i(user)1110 1587 y(is)i(ask)m(ed)h
 (whether)f(the)h(list)g(of)f(p)s(ossibilities)h(should)e(b)s(e)h
-(displa)m(y)m(ed.)41 b(If)29 b(the)1110 1230 y(n)m(um)m(b)s(er)d(of)h
+(displa)m(y)m(ed.)41 b(If)29 b(the)1110 1696 y(n)m(um)m(b)s(er)d(of)h
 (p)s(ossible)f(completions)i(is)f(greater)h(than)e(this)h(v)-5
-b(alue,)28 b(Readline)1110 1340 y(will)f(ask)g(the)f(user)g(whether)g
+b(alue,)28 b(Readline)1110 1806 y(will)f(ask)g(the)f(user)g(whether)g
 (or)g(not)h(he)f(wishes)g(to)i(view)e(them;)i(otherwise,)1110
-1450 y(they)d(are)f(simply)g(listed.)40 b(This)23 b(v)-5
+1915 y(they)d(are)f(simply)g(listed.)40 b(This)23 b(v)-5
 b(ariable)25 b(m)m(ust)g(b)s(e)e(set)i(to)g(an)g(in)m(teger)g(v)-5
-b(alue)1110 1559 y(greater)26 b(than)f(or)f(equal)i(to)f(0.)40
+b(alue)1110 2025 y(greater)26 b(than)f(or)f(equal)i(to)f(0.)40
 b(A)24 b(negativ)m(e)j(v)-5 b(alue)26 b(means)e(Readline)i(should)1110
-1669 y(nev)m(er)31 b(ask.)41 b(The)29 b(default)i(limit)g(is)g
-Ft(100)p Fu(.)630 1833 y Ft(convert-meta)1110 1943 y
+2134 y(nev)m(er)31 b(ask.)41 b(The)29 b(default)i(limit)g(is)g
+Ft(100)p Fu(.)630 2285 y Ft(convert-meta)1110 2395 y
 Fu(If)22 b(set)g(to)h(`)p Ft(on)p Fu(',)h(Readline)f(will)f(con)m(v)m
 (ert)i(c)m(haracters)f(with)f(the)g(eigh)m(th)h(bit)f(set)1110
-2052 y(to)33 b(an)e Fm(asci)r(i)h Fu(k)m(ey)h(sequence)f(b)m(y)g
+2504 y(to)33 b(an)e Fm(asci)r(i)h Fu(k)m(ey)h(sequence)f(b)m(y)g
 (stripping)f(the)h(eigh)m(th)h(bit)f(and)f(pre\014xing)1110
-2162 y(an)24 b Ft(ESC)g Fu(c)m(haracter,)j(con)m(v)m(erting)f(them)f
-(to)g(a)g(meta-pre\014xed)f(k)m(ey)h(sequence.)1110 2271
+2614 y(an)24 b Ft(ESC)g Fu(c)m(haracter,)j(con)m(v)m(erting)f(them)f
+(to)g(a)g(meta-pre\014xed)f(k)m(ey)h(sequence.)1110 2724
 y(The)30 b(default)g(v)-5 b(alue)31 b(is)g(`)p Ft(on)p
-Fu('.)630 2436 y Ft(disable-completion)1110 2545 y Fu(If)36
+Fu('.)630 2874 y Ft(disable-completion)1110 2984 y Fu(If)36
 b(set)h(to)h(`)p Ft(On)p Fu(',)g(Readline)f(will)g(inhibit)f(w)m(ord)h
-(completion.)60 b(Completion)1110 2655 y(c)m(haracters)28
+(completion.)60 b(Completion)1110 3093 y(c)m(haracters)28
 b(will)e(b)s(e)f(inserted)h(in)m(to)h(the)g(line)f(as)g(if)g(they)h
-(had)e(b)s(een)g(mapp)s(ed)1110 2765 y(to)31 b Ft(self-insert)p
+(had)e(b)s(een)g(mapp)s(ed)1110 3203 y(to)31 b Ft(self-insert)p
 Fu(.)38 b(The)30 b(default)g(is)h(`)p Ft(off)p Fu('.)630
-2929 y Ft(editing-mode)1110 3039 y Fu(The)d Ft(editing-mode)e
+3354 y Ft(editing-mode)1110 3463 y Fu(The)d Ft(editing-mode)e
 Fu(v)-5 b(ariable)29 b(con)m(trols)h(whic)m(h)e(default)h(set)h(of)e(k)
-m(ey)i(bind-)1110 3148 y(ings)25 b(is)g(used.)38 b(By)26
+m(ey)i(bind-)1110 3573 y(ings)25 b(is)g(used.)38 b(By)26
 b(default,)g(Readline)g(starts)f(up)f(in)h(Emacs)g(editing)h(mo)s(de,)
-1110 3258 y(where)j(the)g(k)m(eystrok)m(es)i(are)e(most)h(similar)f(to)
+1110 3682 y(where)j(the)g(k)m(eystrok)m(es)i(are)e(most)h(similar)f(to)
 h(Emacs.)40 b(This)29 b(v)-5 b(ariable)30 b(can)1110
-3367 y(b)s(e)g(set)h(to)g(either)g(`)p Ft(emacs)p Fu(')e(or)h(`)p
-Ft(vi)p Fu('.)630 3532 y Ft(echo-control-characters)1110
-3641 y Fu(When)g(set)h(to)g(`)p Ft(on)p Fu(',)f(on)g(op)s(erating)h
-(systems)f(that)h(indicate)g(they)g(supp)s(ort)1110 3751
+3792 y(b)s(e)g(set)h(to)g(either)g(`)p Ft(emacs)p Fu(')e(or)h(`)p
+Ft(vi)p Fu('.)630 3943 y Ft(echo-control-characters)1110
+4052 y Fu(When)g(set)h(to)g(`)p Ft(on)p Fu(',)f(on)g(op)s(erating)h
+(systems)f(that)h(indicate)g(they)g(supp)s(ort)1110 4162
 y(it,)i(readline)e(ec)m(ho)s(es)i(a)f(c)m(haracter)h(corresp)s(onding)d
-(to)j(a)f(signal)g(generated)1110 3861 y(from)e(the)g(k)m(eyb)s(oard.)
-41 b(The)30 b(default)g(is)h(`)p Ft(on)p Fu('.)630 4025
-y Ft(enable-keypad)1110 4134 y Fu(When)23 b(set)h(to)g(`)p
+(to)j(a)f(signal)g(generated)1110 4271 y(from)e(the)g(k)m(eyb)s(oard.)
+41 b(The)30 b(default)g(is)h(`)p Ft(on)p Fu('.)630 4422
+y Ft(enable-keypad)1110 4532 y Fu(When)23 b(set)h(to)g(`)p
 Ft(on)p Fu(',)h(Readline)f(will)g(try)f(to)h(enable)g(the)f
-(application)i(k)m(eypad)1110 4244 y(when)h(it)h(is)f(called.)41
+(application)i(k)m(eypad)1110 4641 y(when)h(it)h(is)f(called.)41
 b(Some)27 b(systems)f(need)h(this)f(to)h(enable)g(the)g(arro)m(w)g(k)m
-(eys.)1110 4354 y(The)j(default)g(is)h(`)p Ft(off)p Fu('.)630
-4518 y Ft(enable-meta-key)1110 4628 y Fu(When)40 b(set)g(to)g(`)p
+(eys.)1110 4751 y(The)j(default)g(is)h(`)p Ft(off)p Fu('.)630
+4902 y Ft(enable-meta-key)1110 5011 y Fu(When)40 b(set)g(to)g(`)p
 Ft(on)p Fu(',)j(Readline)d(will)g(try)g(to)g(enable)g(an)m(y)g(meta)h
-(mo)s(di\014er)1110 4737 y(k)m(ey)i(the)e(terminal)i(claims)f(to)h
+(mo)s(di\014er)1110 5121 y(k)m(ey)i(the)e(terminal)i(claims)f(to)h
 (supp)s(ort)d(when)h(it)h(is)g(called.)76 b(On)41 b(man)m(y)1110
-4847 y(terminals,)c(the)e(meta)h(k)m(ey)g(is)f(used)g(to)h(send)e(eigh)
-m(t-bit)j(c)m(haracters.)56 b(The)1110 4956 y(default)31
-b(is)f(`)p Ft(on)p Fu('.)630 5121 y Ft(expand-tilde)1110
-5230 y Fu(If)d(set)h(to)h(`)p Ft(on)p Fu(',)f(tilde)g(expansion)g(is)f
-(p)s(erformed)f(when)h(Readline)h(attempts)1110 5340
-y(w)m(ord)i(completion.)42 b(The)30 b(default)g(is)h(`)p
-Ft(off)p Fu('.)p eop end
+5230 y(terminals,)c(the)e(meta)h(k)m(ey)g(is)f(used)g(to)h(send)e(eigh)
+m(t-bit)j(c)m(haracters.)56 b(The)1110 5340 y(default)31
+b(is)f(`)p Ft(on)p Fu('.)p eop end
 %%Page: 107 113
 TeXDict begin 107 112 bop 150 -116 a Fu(Chapter)30 b(8:)41
-b(Command)29 b(Line)i(Editing)2062 b(107)630 299 y Ft
-(history-preserve-point)1110 408 y Fu(If)41 b(set)h(to)h(`)p
-Ft(on)p Fu(',)i(the)c(history)h(co)s(de)g(attempts)h(to)f(place)h(the)f
-(p)s(oin)m(t)f(\(the)1110 518 y(curren)m(t)35 b(cursor)g(p)s(osition\))
-g(at)h(the)g(same)f(lo)s(cation)i(on)e(eac)m(h)h(history)g(line)1110
-628 y(retriev)m(ed)h(with)f Ft(previous-history)c Fu(or)37
-b Ft(next-history)p Fu(.)55 b(The)36 b(default)1110 737
-y(is)30 b(`)p Ft(off)p Fu('.)630 902 y Ft(history-size)1110
-1011 y Fu(Set)39 b(the)g(maxim)m(um)g(n)m(um)m(b)s(er)f(of)h(history)g
-(en)m(tries)h(sa)m(v)m(ed)g(in)f(the)g(history)1110 1121
-y(list.)51 b(If)34 b(set)g(to)h(zero,)g(an)m(y)f(existing)h(history)f
-(en)m(tries)g(are)g(deleted)h(and)e(no)1110 1230 y(new)e(en)m(tries)i
-(are)f(sa)m(v)m(ed.)46 b(If)31 b(set)h(to)h(a)f(v)-5
-b(alue)32 b(less)g(than)f(zero,)i(the)f(n)m(um)m(b)s(er)1110
-1340 y(of)f(history)f(en)m(tries)h(is)g(not)g(limited.)42
-b(By)30 b(default,)h(the)g(n)m(um)m(b)s(er)e(of)i(history)1110
-1450 y(en)m(tries)g(is)g(not)f(limited.)630 1614 y Ft
-(horizontal-scroll-mode)1110 1724 y Fu(This)35 b(v)-5
+b(Command)29 b(Line)i(Editing)2062 b(107)630 299 y Ft(expand-tilde)1110
+408 y Fu(If)27 b(set)h(to)h(`)p Ft(on)p Fu(',)f(tilde)g(expansion)g(is)
+f(p)s(erformed)f(when)h(Readline)h(attempts)1110 518
+y(w)m(ord)i(completion.)42 b(The)30 b(default)g(is)h(`)p
+Ft(off)p Fu('.)630 675 y Ft(history-preserve-point)1110
+784 y Fu(If)41 b(set)h(to)h(`)p Ft(on)p Fu(',)i(the)c(history)h(co)s
+(de)g(attempts)h(to)f(place)h(the)f(p)s(oin)m(t)f(\(the)1110
+894 y(curren)m(t)35 b(cursor)g(p)s(osition\))g(at)h(the)g(same)f(lo)s
+(cation)i(on)e(eac)m(h)h(history)g(line)1110 1003 y(retriev)m(ed)h
+(with)f Ft(previous-history)c Fu(or)37 b Ft(next-history)p
+Fu(.)55 b(The)36 b(default)1110 1113 y(is)30 b(`)p Ft(off)p
+Fu('.)630 1270 y Ft(history-size)1110 1379 y Fu(Set)39
+b(the)g(maxim)m(um)g(n)m(um)m(b)s(er)f(of)h(history)g(en)m(tries)h(sa)m
+(v)m(ed)g(in)f(the)g(history)1110 1489 y(list.)51 b(If)34
+b(set)g(to)h(zero,)g(an)m(y)f(existing)h(history)f(en)m(tries)g(are)g
+(deleted)h(and)e(no)1110 1598 y(new)e(en)m(tries)i(are)f(sa)m(v)m(ed.)
+46 b(If)31 b(set)h(to)h(a)f(v)-5 b(alue)32 b(less)g(than)f(zero,)i(the)
+f(n)m(um)m(b)s(er)1110 1708 y(of)f(history)f(en)m(tries)h(is)g(not)g
+(limited.)42 b(By)30 b(default,)h(the)g(n)m(um)m(b)s(er)e(of)i(history)
+1110 1817 y(en)m(tries)g(is)g(not)f(limited.)630 1974
+y Ft(horizontal-scroll-mode)1110 2084 y Fu(This)35 b(v)-5
 b(ariable)37 b(can)f(b)s(e)f(set)h(to)h(either)f(`)p
 Ft(on)p Fu(')g(or)g(`)p Ft(off)p Fu('.)57 b(Setting)36
-b(it)g(to)h(`)p Ft(on)p Fu(')1110 1833 y(means)26 b(that)h(the)f(text)h
+b(it)g(to)h(`)p Ft(on)p Fu(')1110 2193 y(means)26 b(that)h(the)f(text)h
 (of)g(the)f(lines)g(b)s(eing)g(edited)h(will)f(scroll)h(horizon)m
-(tally)1110 1943 y(on)32 b(a)g(single)g(screen)g(line)g(when)e(they)i
-(are)g(longer)h(than)e(the)h(width)f(of)h(the)1110 2052
+(tally)1110 2303 y(on)32 b(a)g(single)g(screen)g(line)g(when)e(they)i
+(are)g(longer)h(than)e(the)h(width)f(of)h(the)1110 2412
 y(screen,)27 b(instead)g(of)f(wrapping)f(on)m(to)i(a)f(new)g(screen)g
-(line.)39 b(By)27 b(default,)g(this)1110 2162 y(v)-5
+(line.)39 b(By)27 b(default,)g(this)1110 2522 y(v)-5
 b(ariable)31 b(is)g(set)f(to)i(`)p Ft(off)p Fu('.)630
-2326 y Ft(input-meta)1110 2436 y Fu(If)f(set)g(to)h(`)p
+2679 y Ft(input-meta)1110 2788 y Fu(If)f(set)g(to)h(`)p
 Ft(on)p Fu(',)g(Readline)g(will)f(enable)h(eigh)m(t-bit)h(input)d(\(it)
-i(will)f(not)h(clear)1110 2545 y(the)40 b(eigh)m(th)g(bit)g(in)f(the)h
+i(will)f(not)h(clear)1110 2898 y(the)40 b(eigh)m(th)g(bit)g(in)f(the)h
 (c)m(haracters)h(it)f(reads\),)j(regardless)c(of)h(what)g(the)1110
-2655 y(terminal)g(claims)h(it)g(can)f(supp)s(ort.)68
+3007 y(terminal)g(claims)h(it)g(can)f(supp)s(ort.)68
 b(The)39 b(default)h(v)-5 b(alue)40 b(is)g(`)p Ft(off)p
-Fu('.)69 b(The)1110 2765 y(name)30 b Ft(meta-flag)e Fu(is)j(a)f(synon)m
-(ym)g(for)g(this)h(v)-5 b(ariable.)630 2929 y Ft(isearch-terminators)
-1110 3039 y Fu(The)51 b(string)h(of)g(c)m(haracters)h(that)f(should)e
-(terminate)j(an)f(incremen)m(tal)1110 3148 y(searc)m(h)25
+Fu('.)69 b(The)1110 3117 y(name)30 b Ft(meta-flag)e Fu(is)j(a)f(synon)m
+(ym)g(for)g(this)h(v)-5 b(ariable.)630 3273 y Ft(isearch-terminators)
+1110 3383 y Fu(The)51 b(string)h(of)g(c)m(haracters)h(that)f(should)e
+(terminate)j(an)f(incremen)m(tal)1110 3493 y(searc)m(h)25
 b(without)g(subsequen)m(tly)g(executing)h(the)f(c)m(haracter)h(as)f(a)g
-(command)1110 3258 y(\(see)38 b(Section)g(8.2.5)h([Searc)m(hing],)h
+(command)1110 3602 y(\(see)38 b(Section)g(8.2.5)h([Searc)m(hing],)h
 (page)e(103\).)62 b(If)37 b(this)g(v)-5 b(ariable)38
-b(has)f(not)1110 3367 y(b)s(een)e(giv)m(en)h(a)g(v)-5
+b(has)f(not)1110 3712 y(b)s(een)e(giv)m(en)h(a)g(v)-5
 b(alue,)37 b(the)f(c)m(haracters)h Ft(ESC)d Fu(and)h
-Fj(C-J)g Fu(will)h(terminate)g(an)1110 3477 y(incremen)m(tal)c(searc)m
-(h.)630 3641 y Ft(keymap)192 b Fu(Sets)39 b(Readline's)g(idea)h(of)f
+Fj(C-J)g Fu(will)h(terminate)g(an)1110 3821 y(incremen)m(tal)c(searc)m
+(h.)630 3978 y Ft(keymap)192 b Fu(Sets)39 b(Readline's)g(idea)h(of)f
 (the)g(curren)m(t)f(k)m(eymap)h(for)g(k)m(ey)g(binding)f(com-)1110
-3751 y(mands.)81 b(Acceptable)47 b Ft(keymap)42 b Fu(names)i(are)h
-Ft(emacs)p Fu(,)i Ft(emacs-standard)p Fu(,)1110 3861
+4088 y(mands.)81 b(Acceptable)47 b Ft(keymap)42 b Fu(names)i(are)h
+Ft(emacs)p Fu(,)i Ft(emacs-standard)p Fu(,)1110 4197
 y Ft(emacs-meta)p Fu(,)99 b Ft(emacs-ctlx)p Fu(,)f Ft(vi)p
 Fu(,)j Ft(vi-move)p Fu(,)f Ft(vi-command)p Fu(,)f(and)1110
-3970 y Ft(vi-insert)p Fu(.)64 b Ft(vi)38 b Fu(is)h(equiv)-5
+4307 y Ft(vi-insert)p Fu(.)64 b Ft(vi)38 b Fu(is)h(equiv)-5
 b(alen)m(t)41 b(to)e Ft(vi-command)p Fu(;)i Ft(emacs)c
-Fu(is)i(equiv)-5 b(alen)m(t)1110 4080 y(to)33 b Ft(emacs-standard)p
+Fu(is)i(equiv)-5 b(alen)m(t)1110 4416 y(to)33 b Ft(emacs-standard)p
 Fu(.)41 b(The)31 b(default)h(v)-5 b(alue)32 b(is)g Ft(emacs)p
-Fu(.)44 b(The)31 b(v)-5 b(alue)33 b(of)f(the)1110 4189
+Fu(.)44 b(The)31 b(v)-5 b(alue)33 b(of)f(the)1110 4526
 y Ft(editing-mode)27 b Fu(v)-5 b(ariable)31 b(also)h(a\013ects)f(the)g
-(default)f(k)m(eymap.)630 4354 y Ft(keyseq-timeout)1110
-4463 y Fu(Sp)s(eci\014es)25 b(the)g(duration)g(Readline)h(will)g(w)m
-(ait)g(for)g(a)f(c)m(haracter)i(when)e(read-)1110 4573
+(default)f(k)m(eymap.)630 4682 y Ft(keyseq-timeout)1110
+4792 y Fu(Sp)s(eci\014es)25 b(the)g(duration)g(Readline)h(will)g(w)m
+(ait)g(for)g(a)f(c)m(haracter)i(when)e(read-)1110 4902
 y(ing)30 b(an)g(am)m(biguous)g(k)m(ey)h(sequence)f(\(one)g(that)h(can)f
-(form)g(a)g(complete)h(k)m(ey)1110 4682 y(sequence)j(using)e(the)i
+(form)g(a)g(complete)h(k)m(ey)1110 5011 y(sequence)j(using)e(the)i
 (input)e(read)h(so)g(far,)h(or)g(can)f(tak)m(e)i(additional)f(input)
-1110 4792 y(to)g(complete)g(a)f(longer)h(k)m(ey)f(sequence\).)49
+1110 5121 y(to)g(complete)g(a)f(longer)h(k)m(ey)f(sequence\).)49
 b(If)33 b(no)f(input)g(is)h(receiv)m(ed)h(within)1110
-4902 y(the)43 b(timeout,)48 b(Readline)43 b(will)g(use)g(the)g(shorter)
-g(but)f(complete)j(k)m(ey)e(se-)1110 5011 y(quence.)c(Readline)26
+5230 y(the)43 b(timeout,)48 b(Readline)43 b(will)g(use)g(the)g(shorter)
+g(but)f(complete)j(k)m(ey)e(se-)1110 5340 y(quence.)c(Readline)26
 b(uses)f(this)h(v)-5 b(alue)26 b(to)g(determine)g(whether)f(or)g(not)h
-(input)1110 5121 y(is)31 b(a)m(v)-5 b(ailable)33 b(on)d(the)h(curren)m
-(t)f(input)g(source)h(\()p Ft(rl_instream)d Fu(b)m(y)i(default\).)1110
-5230 y(The)25 b(v)-5 b(alue)26 b(is)f(sp)s(eci\014ed)f(in)h
-(milliseconds,)j(so)d(a)h(v)-5 b(alue)26 b(of)f(1000)i(means)e(that)
-1110 5340 y(Readline)e(will)g(w)m(ait)g(one)g(second)f(for)g
-(additional)i(input.)37 b(If)22 b(this)g(v)-5 b(ariable)23
-b(is)p eop end
+(input)p eop end
 %%Page: 108 114
 TeXDict begin 108 113 bop 150 -116 a Fu(Chapter)30 b(8:)41
-b(Command)29 b(Line)i(Editing)2062 b(108)1110 299 y(set)28
+b(Command)29 b(Line)i(Editing)2062 b(108)1110 299 y(is)31
+b(a)m(v)-5 b(ailable)33 b(on)d(the)h(curren)m(t)f(input)g(source)h(\()p
+Ft(rl_instream)d Fu(b)m(y)i(default\).)1110 408 y(The)25
+b(v)-5 b(alue)26 b(is)f(sp)s(eci\014ed)f(in)h(milliseconds,)j(so)d(a)h
+(v)-5 b(alue)26 b(of)f(1000)i(means)e(that)1110 518 y(Readline)e(will)g
+(w)m(ait)g(one)g(second)f(for)g(additional)i(input.)37
+b(If)22 b(this)g(v)-5 b(ariable)23 b(is)1110 628 y(set)28
 b(to)h(a)f(v)-5 b(alue)29 b(less)f(than)g(or)f(equal)i(to)f(zero,)i(or)
-e(to)g(a)h(non-n)m(umeric)e(v)-5 b(alue,)1110 408 y(Readline)30
+e(to)g(a)h(non-n)m(umeric)e(v)-5 b(alue,)1110 737 y(Readline)30
 b(will)f(w)m(ait)i(un)m(til)e(another)h(k)m(ey)g(is)f(pressed)g(to)h
-(decide)f(whic)m(h)g(k)m(ey)1110 518 y(sequence)i(to)g(complete.)42
+(decide)f(whic)m(h)g(k)m(ey)1110 847 y(sequence)i(to)g(complete.)42
 b(The)30 b(default)g(v)-5 b(alue)31 b(is)g Ft(500)p Fu(.)630
-701 y Ft(mark-directories)1110 810 y Fu(If)38 b(set)g(to)h(`)p
+993 y Ft(mark-directories)1110 1103 y Fu(If)38 b(set)g(to)h(`)p
 Ft(on)p Fu(',)i(completed)e(directory)f(names)g(ha)m(v)m(e)i(a)e(slash)
-g(app)s(ended.)1110 920 y(The)30 b(default)g(is)h(`)p
-Ft(on)p Fu('.)630 1103 y Ft(mark-modified-lines)1110
-1212 y Fu(This)k(v)-5 b(ariable,)38 b(when)d(set)h(to)h(`)p
+g(app)s(ended.)1110 1212 y(The)30 b(default)g(is)h(`)p
+Ft(on)p Fu('.)630 1358 y Ft(mark-modified-lines)1110
+1468 y Fu(This)k(v)-5 b(ariable,)38 b(when)d(set)h(to)h(`)p
 Ft(on)p Fu(',)g(causes)g(Readline)f(to)h(displa)m(y)f(an)f(as-)1110
-1322 y(terisk)f(\(`)p Ft(*)p Fu('\))h(at)f(the)g(start)g(of)g(history)g
+1577 y(terisk)f(\(`)p Ft(*)p Fu('\))h(at)f(the)g(start)g(of)g(history)g
 (lines)g(whic)m(h)f(ha)m(v)m(e)i(b)s(een)e(mo)s(di\014ed.)1110
-1431 y(This)d(v)-5 b(ariable)31 b(is)f(`)p Ft(off)p Fu(')g(b)m(y)g
-(default.)630 1614 y Ft(mark-symlinked-directori)o(es)1110
-1724 y Fu(If)59 b(set)h(to)g(`)p Ft(on)p Fu(',)67 b(completed)60
+1687 y(This)d(v)-5 b(ariable)31 b(is)f(`)p Ft(off)p Fu(')g(b)m(y)g
+(default.)630 1833 y Ft(mark-symlinked-directori)o(es)1110
+1943 y Fu(If)59 b(set)h(to)g(`)p Ft(on)p Fu(',)67 b(completed)60
 b(names)f(whic)m(h)g(are)h(sym)m(b)s(olic)g(links)f(to)1110
-1833 y(directories)71 b(ha)m(v)m(e)f(a)g(slash)f(app)s(ended)f(\(sub)5
-b(ject)70 b(to)g(the)g(v)-5 b(alue)70 b(of)1110 1943
+2052 y(directories)71 b(ha)m(v)m(e)f(a)g(slash)f(app)s(ended)f(\(sub)5
+b(ject)70 b(to)g(the)g(v)-5 b(alue)70 b(of)1110 2162
 y Ft(mark-directories)p Fu(\).)37 b(The)30 b(default)g(is)g(`)p
-Ft(off)p Fu('.)630 2125 y Ft(match-hidden-files)1110
-2235 y Fu(This)21 b(v)-5 b(ariable,)25 b(when)d(set)g(to)h(`)p
+Ft(off)p Fu('.)630 2308 y Ft(match-hidden-files)1110
+2418 y Fu(This)21 b(v)-5 b(ariable,)25 b(when)d(set)g(to)h(`)p
 Ft(on)p Fu(',)h(causes)f(Readline)g(to)g(matc)m(h)g(\014les)f(whose)
-1110 2345 y(names)44 b(b)s(egin)g(with)g(a)g(`)p Ft(.)p
+1110 2527 y(names)44 b(b)s(egin)g(with)g(a)g(`)p Ft(.)p
 Fu(')g(\(hidden)f(\014les\))i(when)e(p)s(erforming)g(\014lename)1110
-2454 y(completion.)75 b(If)41 b(set)g(to)h(`)p Ft(off)p
+2637 y(completion.)75 b(If)41 b(set)g(to)h(`)p Ft(off)p
 Fu(',)i(the)e(leading)g(`)p Ft(.)p Fu(')f(m)m(ust)g(b)s(e)g(supplied)f
-(b)m(y)1110 2564 y(the)34 b(user)g(in)g(the)g(\014lename)g(to)h(b)s(e)f
+(b)m(y)1110 2746 y(the)34 b(user)g(in)g(the)g(\014lename)g(to)h(b)s(e)f
 (completed.)53 b(This)33 b(v)-5 b(ariable)35 b(is)f(`)p
-Ft(on)p Fu(')g(b)m(y)1110 2673 y(default.)630 2856 y
-Ft(menu-complete-display-pr)o(efix)1110 2966 y Fu(If)f(set)h(to)g(`)p
+Ft(on)p Fu(')g(b)m(y)1110 2856 y(default.)630 3002 y
+Ft(menu-complete-display-pr)o(efix)1110 3112 y Fu(If)f(set)h(to)g(`)p
 Ft(on)p Fu(',)h(men)m(u)e(completion)i(displa)m(ys)e(the)h(common)g
-(pre\014x)e(of)i(the)1110 3075 y(list)k(of)g(p)s(ossible)f(completions)
+(pre\014x)e(of)i(the)1110 3221 y(list)k(of)g(p)s(ossible)f(completions)
 i(\(whic)m(h)e(ma)m(y)h(b)s(e)f(empt)m(y\))i(b)s(efore)e(cycling)1110
-3185 y(through)30 b(the)g(list.)42 b(The)29 b(default)i(is)f(`)p
-Ft(off)p Fu('.)630 3367 y Ft(output-meta)1110 3477 y
+3331 y(through)30 b(the)g(list.)42 b(The)29 b(default)i(is)f(`)p
+Ft(off)p Fu('.)630 3477 y Ft(output-meta)1110 3587 y
 Fu(If)35 b(set)h(to)g(`)p Ft(on)p Fu(',)h(Readline)f(will)g(displa)m(y)
-f(c)m(haracters)i(with)e(the)h(eigh)m(th)g(bit)1110 3587
+f(c)m(haracters)i(with)e(the)h(eigh)m(th)g(bit)1110 3696
 y(set)h(directly)g(rather)f(than)g(as)h(a)g(meta-pre\014xed)f(escap)s
-(e)h(sequence.)59 b(The)1110 3696 y(default)31 b(is)f(`)p
-Ft(off)p Fu('.)630 3879 y Ft(page-completions)1110 3988
+(e)h(sequence.)59 b(The)1110 3806 y(default)31 b(is)f(`)p
+Ft(off)p Fu('.)630 3952 y Ft(page-completions)1110 4061
 y Fu(If)j(set)i(to)f(`)p Ft(on)p Fu(',)h(Readline)g(uses)e(an)h(in)m
 (ternal)h Ft(more)p Fu(-lik)m(e)f(pager)g(to)h(displa)m(y)1110
-4098 y(a)e(screenful)f(of)g(p)s(ossible)g(completions)i(at)f(a)g(time.)
+4171 y(a)e(screenful)f(of)g(p)s(ossible)g(completions)i(at)f(a)g(time.)
 47 b(This)31 b(v)-5 b(ariable)34 b(is)e(`)p Ft(on)p Fu(')1110
-4208 y(b)m(y)e(default.)630 4390 y Ft(print-completions-horizo)o(ntal)o
-(ly)1110 4500 y Fu(If)23 b(set)i(to)g(`)p Ft(on)p Fu(',)g(Readline)g
+4281 y(b)m(y)e(default.)630 4427 y Ft(print-completions-horizo)o(ntal)o
+(ly)1110 4536 y Fu(If)23 b(set)i(to)g(`)p Ft(on)p Fu(',)g(Readline)g
 (will)f(displa)m(y)g(completions)h(with)f(matc)m(hes)h(sorted)1110
-4609 y(horizon)m(tally)45 b(in)e(alphab)s(etical)i(order,)i(rather)c
-(than)g(do)m(wn)g(the)h(screen.)1110 4719 y(The)30 b(default)g(is)h(`)p
+4646 y(horizon)m(tally)45 b(in)e(alphab)s(etical)i(order,)i(rather)c
+(than)g(do)m(wn)g(the)h(screen.)1110 4756 y(The)30 b(default)g(is)h(`)p
 Ft(off)p Fu('.)630 4902 y Ft(revert-all-at-newline)1110
 5011 y Fu(If)e(set)h(to)g(`)p Ft(on)p Fu(',)g(Readline)g(will)g(undo)f
 (all)h(c)m(hanges)h(to)f(history)g(lines)f(b)s(efore)1110
@@ -16203,26 +16237,30 @@ y Fu(Searc)m(h)31 b(bac)m(kw)m(ard)h(starting)g(at)g(the)f(curren)m(t)g
 (line)g(and)g(mo)m(ving)h(`up')e(through)h(the)g(his-)630
 2386 y(tory)g(as)f(necessary)-8 b(.)42 b(This)29 b(is)i(an)f(incremen)m
 (tal)i(searc)m(h.)150 2550 y Ft(forward-search-history)24
-b(\(C-s\))630 2659 y Fu(Searc)m(h)30 b(forw)m(ard)f(starting)h(at)g
-(the)g(curren)m(t)f(line)h(and)f(mo)m(ving)h(`do)m(wn')f(through)g(the)
-h(the)630 2769 y(history)g(as)h(necessary)-8 b(.)41 b(This)30
+b(\(C-s\))630 2659 y Fu(Searc)m(h)44 b(forw)m(ard)f(starting)h(at)h
+(the)e(curren)m(t)h(line)g(and)f(mo)m(ving)h(`do)m(wn')g(through)f(the)
+630 2769 y(history)30 b(as)h(necessary)-8 b(.)41 b(This)30
 b(is)g(an)h(incremen)m(tal)g(searc)m(h.)150 2932 y Ft
 (non-incremental-reverse-)o(sear)o(ch-h)o(ist)o(ory)24
 b(\(M-p\))630 3042 y Fu(Searc)m(h)31 b(bac)m(kw)m(ard)h(starting)g(at)g
 (the)f(curren)m(t)g(line)g(and)g(mo)m(ving)h(`up')e(through)h(the)g
 (his-)630 3152 y(tory)36 b(as)g(necessary)h(using)e(a)i(non-incremen)m
 (tal)g(searc)m(h)f(for)g(a)g(string)g(supplied)f(b)m(y)h(the)630
-3261 y(user.)150 3425 y Ft(non-incremental-forward-)o(sear)o(ch-h)o
-(ist)o(ory)24 b(\(M-n\))630 3534 y Fu(Searc)m(h)30 b(forw)m(ard)f
-(starting)h(at)g(the)g(curren)m(t)f(line)h(and)f(mo)m(ving)h(`do)m(wn')
-f(through)g(the)h(the)630 3644 y(history)d(as)f(necessary)i(using)e(a)h
-(non-incremen)m(tal)g(searc)m(h)h(for)e(a)h(string)g(supplied)e(b)m(y)i
-(the)630 3754 y(user.)150 3917 y Ft(history-search-forward)d(\(\))630
-4027 y Fu(Searc)m(h)42 b(forw)m(ard)f(through)f(the)i(history)f(for)g
-(the)h(string)f(of)h(c)m(haracters)h(b)s(et)m(w)m(een)f(the)630
-4136 y(start)36 b(of)h(the)f(curren)m(t)f(line)i(and)e(the)h(p)s(oin)m
-(t.)58 b(The)35 b(searc)m(h)i(string)e(m)m(ust)h(matc)m(h)h(at)g(the)
-630 4246 y(b)s(eginning)32 b(of)g(a)h(history)g(line.)47
+3261 y(user.)k(The)30 b(searc)m(h)h(string)f(ma)m(y)h(matc)m(h)g(an)m
+(ywhere)g(in)f(a)h(history)f(line.)150 3425 y Ft
+(non-incremental-forward-)o(sear)o(ch-h)o(ist)o(ory)24
+b(\(M-n\))630 3534 y Fu(Searc)m(h)44 b(forw)m(ard)f(starting)h(at)h
+(the)e(curren)m(t)h(line)g(and)f(mo)m(ving)h(`do)m(wn')g(through)f(the)
+630 3644 y(history)27 b(as)f(necessary)i(using)e(a)h(non-incremen)m
+(tal)g(searc)m(h)h(for)e(a)h(string)g(supplied)e(b)m(y)i(the)630
+3754 y(user.)40 b(The)30 b(searc)m(h)h(string)f(ma)m(y)h(matc)m(h)g(an)
+m(ywhere)g(in)f(a)h(history)f(line.)150 3917 y Ft
+(history-search-forward)24 b(\(\))630 4027 y Fu(Searc)m(h)42
+b(forw)m(ard)f(through)f(the)i(history)f(for)g(the)h(string)f(of)h(c)m
+(haracters)h(b)s(et)m(w)m(een)f(the)630 4136 y(start)36
+b(of)h(the)f(curren)m(t)f(line)i(and)e(the)h(p)s(oin)m(t.)58
+b(The)35 b(searc)m(h)i(string)e(m)m(ust)h(matc)m(h)h(at)g(the)630
+4246 y(b)s(eginning)32 b(of)g(a)h(history)g(line.)47
 b(This)32 b(is)h(a)f(non-incremen)m(tal)i(searc)m(h.)48
 b(By)33 b(default,)g(this)630 4355 y(command)d(is)h(un)m(b)s(ound.)150
 4519 y Ft(history-search-backward)24 b(\(\))630 4629
@@ -16361,19 +16399,19 @@ y(By)g(default,)f(this)h(command)f(is)g(un)m(b)s(ound.)150
 3984 y Ft(kill-line)28 b(\(C-k\))630 4093 y Fu(Kill)j(the)f(text)i
 (from)e(p)s(oin)m(t)g(to)h(the)g(end)e(of)i(the)f(line.)150
 4241 y Ft(backward-kill-line)25 b(\(C-x)30 b(Rubout\))630
-4350 y Fu(Kill)h(bac)m(kw)m(ard)g(to)g(the)f(b)s(eginning)g(of)g(the)h
-(line.)150 4498 y Ft(unix-line-discard)26 b(\(C-u\))630
-4607 y Fu(Kill)31 b(bac)m(kw)m(ard)g(from)e(the)i(cursor)f(to)h(the)f
-(b)s(eginning)g(of)h(the)f(curren)m(t)g(line.)150 4754
-y Ft(kill-whole-line)c(\(\))630 4864 y Fu(Kill)37 b(all)g(c)m
-(haracters)h(on)f(the)f(curren)m(t)h(line,)h(no)f(matter)g(where)f(p)s
-(oin)m(t)h(is.)59 b(By)36 b(default,)630 4974 y(this)30
-b(is)h(un)m(b)s(ound.)150 5121 y Ft(kill-word)d(\(M-d\))630
-5230 y Fu(Kill)i(from)f(p)s(oin)m(t)g(to)h(the)g(end)e(of)i(the)f
-(curren)m(t)h(w)m(ord,)f(or)g(if)h(b)s(et)m(w)m(een)g(w)m(ords,)f(to)h
-(the)g(end)630 5340 y(of)h(the)f(next)h(w)m(ord.)40 b(W)-8
-b(ord)31 b(b)s(oundaries)e(are)h(the)h(same)g(as)f Ft(forward-word)p
-Fu(.)p eop end
+4350 y Fu(Kill)h(bac)m(kw)m(ard)g(from)e(the)i(cursor)f(to)h(the)f(b)s
+(eginning)g(of)h(the)f(curren)m(t)g(line.)150 4498 y
+Ft(unix-line-discard)c(\(C-u\))630 4607 y Fu(Kill)31
+b(bac)m(kw)m(ard)g(from)e(the)i(cursor)f(to)h(the)f(b)s(eginning)g(of)h
+(the)f(curren)m(t)g(line.)150 4754 y Ft(kill-whole-line)c(\(\))630
+4864 y Fu(Kill)37 b(all)g(c)m(haracters)h(on)f(the)f(curren)m(t)h
+(line,)h(no)f(matter)g(where)f(p)s(oin)m(t)h(is.)59 b(By)36
+b(default,)630 4974 y(this)30 b(is)h(un)m(b)s(ound.)150
+5121 y Ft(kill-word)d(\(M-d\))630 5230 y Fu(Kill)i(from)f(p)s(oin)m(t)g
+(to)h(the)g(end)e(of)i(the)f(curren)m(t)h(w)m(ord,)f(or)g(if)h(b)s(et)m
+(w)m(een)g(w)m(ords,)f(to)h(the)g(end)630 5340 y(of)h(the)f(next)h(w)m
+(ord.)40 b(W)-8 b(ord)31 b(b)s(oundaries)e(are)h(the)h(same)g(as)f
+Ft(forward-word)p Fu(.)p eop end
 %%Page: 119 125
 TeXDict begin 119 124 bop 150 -116 a Fu(Chapter)30 b(8:)41
 b(Command)29 b(Line)i(Editing)2062 b(119)150 299 y Ft
@@ -16728,7 +16766,7 @@ m(ely)j(b)s(et)m(w)m(een)d Ft(emacs)f Fu(and)g Ft(vi)g
 Fu(editing)h(mo)s(des,)h(use)f(the)g(`)p Ft(set)30 b(-o)150
 3114 y(emacs)p Fu(')43 b(and)h(`)p Ft(set)30 b(-o)f(vi)p
 Fu(')44 b(commands)g(\(see)i(Section)f(4.3.1)h([The)e(Set)h(Builtin],)j
-(page)e(58\).)83 b(The)150 3223 y(Readline)31 b(default)g(is)f
+(page)e(59\).)83 b(The)150 3223 y(Readline)31 b(default)g(is)f
 Ft(emacs)f Fu(mo)s(de.)275 3367 y(When)g(y)m(ou)i(en)m(ter)f(a)h(line)f
 (in)g Ft(vi)f Fu(mo)s(de,)h(y)m(ou)h(are)f(already)h(placed)f(in)g
 (`insertion')g(mo)s(de,)g(as)h(if)f(y)m(ou)150 3476 y(had)f(t)m(yp)s
@@ -17080,7 +17118,7 @@ b(names.)41 b(Ma)m(y)31 b(also)g(b)s(e)f(sp)s(eci\014ed)g(as)g
 Ft(-s)p Fu(.)1110 628 y Ft(setopt)192 b Fu(V)-8 b(alid)39
 b(argumen)m(ts)g(for)f(the)h Ft(-o)e Fu(option)i(to)g(the)g
 Ft(set)e Fu(builtin)1590 737 y(\(see)31 b(Section)h(4.3.1)g([The)e(Set)
-g(Builtin],)i(page)f(58\).)1110 902 y Ft(shopt)240 b
+g(Builtin],)i(page)f(59\).)1110 902 y Ft(shopt)240 b
 Fu(Shell)40 b(option)g(names)g(as)g(accepted)i(b)m(y)e(the)g
 Ft(shopt)e Fu(builtin)1590 1011 y(\(see)31 b(Section)h(4.2)f([Bash)g
 (Builtins],)g(page)g(48\).)1110 1176 y Ft(signal)192
@@ -17196,7 +17234,7 @@ Fu(,)150 3971 y(whic)m(h)21 b(is)h(describ)s(ed)e(ab)s(o)m(v)m(e)j
 (\(see)f(Section)h(4.1)f([Bourne)g(Shell)f(Builtins],)j(page)e(41\),)j
 (and)c(basic)h(supp)s(ort)150 4081 y(for)31 b(the)h Ft(cdable_vars)d
 Fu(shell)i(option)h(\(see)h(Section)f(4.3.2)i([The)d(Shopt)g(Builtin],)
-i(page)f(62\).)46 b Ft(_comp_)150 4190 y(cd)30 b Fu(mo)s(di\014es)g
+i(page)f(63\).)46 b Ft(_comp_)150 4190 y(cd)30 b Fu(mo)s(di\014es)g
 (the)h(v)-5 b(alue)31 b(of)g Fr(IFS)36 b Fu(so)31 b(that)g(it)g(con)m
 (tains)h(only)f(a)g(newline)g(to)h(accommo)s(date)g(\014le)f(names)150
 4300 y(con)m(taining)i(spaces)g(and)e(tabs)h({)g Ft(compgen)e
